Class GeneratedJpqlResult
java.lang.Object
io.jmix.aitools.dataload.execution.GeneratedJpqlResult
Structured JPQL draft returned by the generation layer.
This type represents what the LLM produced after generation or repair.
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionGeneratedJpqlResult(String jpql, List<GeneratedJpqlParameter> parameters, String explanation, List<String> warnings) Creates a result without execution hints (maxResults/firstResultare unset).GeneratedJpqlResult(String jpql, List<GeneratedJpqlParameter> parameters, String explanation, List<String> warnings, @Nullable Integer maxResults, @Nullable Integer firstResult) -
Method Summary
Modifier and TypeMethodDescriptionReturns a short human-readable explanation of the generated query intent.@Nullable IntegerReturns the requested row offset, if the generation layer provided it.getJpql()Returns the generated JPQL text.@Nullable IntegerReturns the requested maximum number of rows, if the generation layer provided it.Returns the structured parameters produced together with the JPQL draft.Returns warnings produced during generation, for example ambiguity notes.toString()
-
Field Details
-
jpql
-
parameters
-
explanation
-
warnings
-
maxResults
-
firstResult
-
-
Constructor Details
-
GeneratedJpqlResult
public GeneratedJpqlResult(String jpql, List<GeneratedJpqlParameter> parameters, String explanation, List<String> warnings) Creates a result without execution hints (maxResults/firstResultare unset).- Parameters:
jpql- generated JPQL textparameters- structured query parametersexplanation- short human-readable explanation of the query intentwarnings- warnings produced during generation
-
GeneratedJpqlResult
public GeneratedJpqlResult(String jpql, List<GeneratedJpqlParameter> parameters, String explanation, List<String> warnings, @Nullable Integer maxResults, @Nullable Integer firstResult) - Parameters:
jpql- generated JPQL textparameters- structured query parametersexplanation- short human-readable explanation of the query intentwarnings- warnings produced during generationmaxResults- requested maximum number of rowsfirstResult- requested row offset
-
-
Method Details
-
getJpql
Returns the generated JPQL text.- Returns:
- JPQL text
-
getParameters
Returns the structured parameters produced together with the JPQL draft.- Returns:
- query parameters
-
getExplanation
Returns a short human-readable explanation of the generated query intent.- Returns:
- query explanation
-
getWarnings
Returns warnings produced during generation, for example ambiguity notes.- Returns:
- generation warnings
-
getMaxResults
Returns the requested maximum number of rows, if the generation layer provided it.This value is still part of the generation-stage result and may later be normalized together with the JPQL text by post-processing.
- Returns:
- maximum number of rows, or
nullif not specified
-
getFirstResult
Returns the requested row offset, if the generation layer provided it.This value is still part of the generation-stage result and may later be normalized together with the JPQL text by post-processing.
- Returns:
- row offset, or
nullif not specified
-
toString
-